Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Member Functions
tlp::GlDisplayListManager Class Reference

Singleton used to manage OpenGl display list. More...

`#include <GlDisplayListManager.h>`

Collaboration diagram for tlp::GlDisplayListManager:
[legend]

List of all members.

## Public Member Functions

- void changeContext (unsigned long context)
- void removeContext (unsigned long context)
- bool beginNewDisplayList (const std::string &name)
- void endNewDisplayList ()
- bool callDisplayList (const std::string &name)

## Static Public Member Functions

- static GlDisplayListManager & getInst ()

## Detailed Description

Singleton used to manage OpenGl display list.

Singleton used to manage OpenGl display list. First createInst must be call.

## Member Function Documentation

bool tlp::GlDisplayListManager::beginNewDisplayList | ( | const std::string & | name | ) |

Begin to record a new display list with name : name

bool tlp::GlDisplayListManager::callDisplayList | ( | const std::string & | name | ) |

Call display list with name : name

void tlp::GlDisplayListManager::changeContext | ( | unsigned long | context | ) |

Change OpenGl context because display list can't be shared in different context

void tlp::GlDisplayListManager::endNewDisplayList | ( |  | ) |

End the current record of display list

static GlDisplayListManager& tlp::GlDisplayListManager::getInst | ( |  | ) | `[inline, static]`

Return the current instance. If instance doesn't exist, create it.

void tlp::GlDisplayListManager::removeContext | ( | unsigned long | context | ) |

remove context

Tulip Software by LaBRI Visualization Team 2001 - 2012